> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Rag Indexes Of The Specified Knowledgebase Document.

> Provides information about all RAG indexes of the specified knowledgebase document.



## OpenAPI

````yaml https://api.threetone.in/openapi.json get /v1/voiceai/knowledge-base/{document_id}/rag-index
openapi: 3.1.0
info:
  title: Threetone API Documentation
  version: 1.0.0
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/voiceai/knowledge-base/{document_id}/rag-index:
    get:
      tags:
        - Knowledge Base
      summary: Get Rag Indexes Of The Specified Knowledgebase Document.
      description: >-
        Provides information about all RAG indexes of the specified
        knowledgebase document.
      operationId: get_rag_indexes
      parameters:
        - name: document_id
          in: path
          required: true
          schema:
            type: string
            title: Document Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RAGDocumentIndexesResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    RAGDocumentIndexesResponseModel:
      properties:
        indexes:
          items:
            $ref: '#/components/schemas/RAGDocumentIndexResponseModel'
          type: array
          title: Indexes
          description: List of RAG indexes
      type: object
      required:
        - indexes
      title: RAGDocumentIndexesResponseModel
      description: Response model for listing all RAG indexes of a document
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RAGDocumentIndexResponseModel:
      properties:
        id:
          type: string
          title: Id
          description: Index ID
        model:
          $ref: >-
            #/components/schemas/app__domains__knowledge_base__schemas__EmbeddingModelEnum
          description: Embedding model used
        status:
          $ref: '#/components/schemas/RAGIndexStatus'
          description: Index status
        progress_percentage:
          type: number
          title: Progress Percentage
          description: Indexing progress (0-100)
        document_model_index_usage:
          $ref: '#/components/schemas/RAGDocumentIndexUsage'
          description: Usage information
      type: object
      required:
        - id
        - model
        - status
        - progress_percentage
        - document_model_index_usage
      title: RAGDocumentIndexResponseModel
      description: Response model for a single RAG index
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    app__domains__knowledge_base__schemas__EmbeddingModelEnum:
      type: string
      enum:
        - e5_mistral_7b_instruct
        - multilingual_e5_large_instruct
        - gemini-embedding-001
      title: EmbeddingModelEnum
      description: Embedding model used for RAG indexing
    RAGIndexStatus:
      type: string
      enum:
        - created
        - processing
        - failed
        - succeeded
        - rag_limit_exceeded
        - document_too_small
        - cannot_index_folder
      title: RAGIndexStatus
      description: Status of a RAG index
    RAGDocumentIndexUsage:
      properties:
        used_bytes:
          type: integer
          title: Used Bytes
          description: Bytes used by this index
      type: object
      required:
        - used_bytes
      title: RAGDocumentIndexUsage
      description: Usage bytes for a RAG index
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: API key for programmatic access
      in: header
      name: x-api-key
    HTTPBearer:
      type: http
      description: JWT Bearer token for dashboard access
      scheme: bearer

````